Bug 591321 - LVMError: lvdeactivate failed for lv_root
Summary: LVMError: lvdeactivate failed for lv_root
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: anaconda
Version: 12
Hardware: x86_64
OS: Linux
low
medium
Target Milestone: ---
Assignee: Anaconda Maintenance Team
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: anaconda_trace_hash:e1a4aba767dcb6f4c...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-05-11 21:26 UTC by Michael Marx
Modified: 2010-12-03 14:48 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-12-03 14:48:13 UTC
Type: ---


Attachments (Terms of Use)
Attached traceback automatically from anaconda. (417.47 KB, text/plain)
2010-05-11 21:27 UTC, Michael Marx
no flags Details

Description Michael Marx 2010-05-11 21:26:57 UTC
The following was filed automatically by anaconda:
anaconda 12.46 exception report
Traceback (most recent call first):
  File "/usr/lib/anaconda/storage/devicelibs/lvm.py", line 434, in lvdeactivate
    raise LVMError("lvdeactivate failed for %s" % lv_name)
  File "/usr/lib/anaconda/storage/devices.py", line 2104, in teardown
    lvm.lvdeactivate(self.vg.name, self._name)
  File "/usr/lib/anaconda/storage/deviceaction.py", line 217, in __init__
    device.teardown()
  File "/usr/lib/anaconda/storage/__init__.py", line 714, in destroyDevice
    action = ActionDestroyDevice(device)
  File "/usr/lib/anaconda/storage/partitioning.py", line 351, in clearPartitions
    storage.destroyDevice(leaf)
  File "/usr/lib/anaconda/storage/partitioning.py", line 177, in doAutoPartition
    clearPartitions(anaconda.id.storage)
  File "/usr/lib/anaconda/dispatch.py", line 200, in moveStep
    rc = stepFunc(self.anaconda)
  File "/usr/lib/anaconda/dispatch.py", line 123, in gotoNext
    self.moveStep()
  File "/usr/lib/anaconda/gui.py", line 1195, in nextClicked
    self.anaconda.dispatch.gotoNext()
LVMError: lvdeactivate failed for lv_root

Comment 1 Michael Marx 2010-05-11 21:27:02 UTC
Created attachment 413267 [details]
Attached traceback automatically from anaconda.

Comment 2 Chris Lumens 2010-05-12 13:52:07 UTC
Is this reproducable with F13 Beta?

Comment 3 Bug Zapper 2010-11-03 15:04:04 UTC
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 4 Bug Zapper 2010-12-03 14:48:13 UTC
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.